
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>设计模式之简单工厂模式（Simple Factory Pattern） / iVAN</title>

    <meta name="description" content="设计模式之简单工厂模式（Simple Factory Pattern） 设计 工厂模式 THE FACTORY PATTERN 在面向对象(OO)程序中,我们经常看到的一种模式就是简单工厂模式(Simple Factory Pattern).简单工厂模式根据提供给它的数据,返回几个可能类中的一个类的实例.通常它返回的类都有一个共同的父类和共同的方法,但每个方法执行的认为不同,而且根据不同的数据进行了优化.简单工厂模式实际上不属于23个GOF模式,但它可以作为工厂方法模式(FACTORY Method)的一个引导. 工厂模式如何工作 为了便于理解简单工厂模式,可以看下">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">设计模式之简单工厂模式（Simple Factory Pattern）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>设计</p>
<p>工厂模式</p>
<p>THE FACTORY PATTERN</p>
<p>在面向对象（OO）程序中,我们经常看到的一种模式就是简单工厂模式(Simple Factory Pattern)。简单工厂模式根据提供给它的数据，返回几个可能类中的一个类的实例。通常它返回的类都有一个共同的父类和共同的方法，但每个方法执行的认为不同，而且根据不同的数据进行了优化。简单工厂模式实际上不属于23个GOF模式，但它可以作为工厂方法模式（FACTORY Method）的一个引导。</p>
<p>工厂模式如何工作</p>
<p>为了便于理解简单工厂模式，可以看下图：</p>
<p>工厂类（Creator）角色：该角色是工厂方法模式的核心，含有按照一定商业逻辑创建产品。工厂类在客户端的直接调用下创建产品对象，它往往由一个具体类实现。</p>
<p>抽象产品（Product）角色：担任这个角色的类是工厂方法模式所创建的对象的父类，或它们共同拥有的接口。抽象产品角色可以用一个接口或者抽象类实现。</p>
<p>具体产品（Concrete Product）角色：工厂方法模式所创建的任何对象都是这个角色的实例，具体产品角色由一个具体类实现。</p>
<p>在上图中，类x为一个基类，类XY和XZ派生自类x， XFactory类根据你提供给它的值来决定返回那个子类的实例，我们定义了getClass方法，接受一些值，并根据这个值返回x类的其中一个实例。返回它们当中的哪一个与程序员无关。因为它们都含有相同的方法，但是不同的实现，它可能是很复杂的功能，但通常都很简单。</p>
<p>类</p>
<p>现在，我们写两个简单的类，用于实现将一个字符串分割为两部分，假设我们有一个输入窗体，允许用户输入他的姓名，可我们通过简单工厂模式NameFactory类来自动判断用户输入的firstname和lastname之间到底是空格还是逗号。如果是逗号或空格我们就将其分割为两部分。<br />    先定义一个简单的类。</p>
<p>Public Class NameClass</p>
<p>Protected Lname, Frname As String</p>
<p>Public Function getFirst() As String</p>
<p>Return Frname</p>
<p>End Function</p>
<p>Public Function getLast() As String</p>
<p>Return Lname</p>
<p>End Function</p>
<p>End Class</p>
<p>下面编写两个派生类： <br />FirstFirst类、lastFirst类<br />它们实现了基类NameClass，并在构造函数中将名字分成了两部分。</p>
<p>FirstFirst类</p>
<p>Public Class FirstFirst</p>
<p>Inherits NameClass</p>
<p>Public Sub New(ByVal nm As String)</p>
<p>Dim i As Integer</p>
<p>i = nm.IndexOf(" ")</p>
<p>If i &gt; 0 Then</p>
<p>Frname = nm.Substring(0, i).Trim()</p>
<p>Lname = nm.Substring(i + 1).Trim()</p>
<p>Else</p>
<p>Frname = ""</p>
<p>LName = nm</p>
<p>End If</p>
<p>End Sub</p>
<p>End Class</p>
<p>lastFirst类</p>
<p>Public Class LastFirst</p>
<p>Inherits NameClass</p>
<p>Public Sub New(ByVal nm As String)</p>
<p>Dim i As Integer</p>
<p>i = nm.IndexOf(",")</p>
<p>If i &gt; 0 Then</p>
<p>Lname = nm.Substring(0, i).Trim()</p>
<p>Frname = nm.Substring(i + 1).Trim()</p>
<p>Else</p>
<p>Frname = ""</p>
<p>LName = nm</p>
<p>End If</p>
<p>End Sub</p>
<p>End Class</p>
<p>构造简单工厂</p>
<p>现在很容易给出简单工厂类。只检测逗号是否存在，然后返回其中的一个类的实例。</p>
<p>Public Class NameFactory</p>
<p>Public Function getNamer( _</p>
<p>ByVal nm As String) As NameClass</p>
<p>Dim i As Integer</p>
<p>i = nm.IndexOf(",")</p>
<p>If i &gt; 0 Then</p>
<p>Return New LastFirst(nm)</p>
<p>Else</p>
<p>Return New FirstFirst(nm)</p>
<p>End If</p>
<p>End Function</p>
<p>End Class</p>
<p>使用简单工厂</p>
<p>我们具体实现如下：</p>
<p>"执行"按钮的 click事件：</p>
<p>Dim nm As String<br />        Dim i As Integer<br />        nm = txName.Text<br />        Dim Nmer As NameClass<br />        Nmer = New NameFactory().getNamer(nm)</p>
<p>txLast.Text = Nmer.getLast()<br />        txFirst.Text = Nmer.getFirst()</p>
<p>我们已经构造了一个简单的用户接口，并且允许用户输入名字。运行如图：</p>
<p>用户输入名字然后点击”执行”按钮，这个名字被NameFactory接收，并根据不同的类型（由逗号、空格分隔），返回不同子类的实例。这里不需要知道使用的是哪一个派生类的实例，工厂（NameFactory）为我们提供了这个类，所需要知道的就是它有两个（getFirst、getLast）方法。这就是我们所说的隐藏了具体类。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 13:33:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%bc%8f/" title="模式">模式</a>, <a href="https://www.iamivan.net/tag/%e7%ae%80%e5%8d%95/" title="简单">简单</a>, <a href="https://www.iamivan.net/tag/%e5%b7%a5%e5%8e%82%e6%a8%a1%e5%bc%8f/" title="工厂模式">工厂模式</a>, <a href="https://www.iamivan.net/tag/%e5%b7%a5%e5%8e%82%e7%b1%bb/" title="工厂类">工厂类</a>, <a href="https://www.iamivan.net/tag/%e5%b7%a5%e5%8e%82/" title="工厂">工厂</a>, <a href="https://www.iamivan.net/tag/%e7%ae%80%e5%8d%95%e6%a8%a1%e5%bc%8f/" title="简单模式">简单模式</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e5%b7%a5%e5%8e%82/" title="类工厂">类工厂</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>设计模式之简单工厂模式（Simple Factory Pattern）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRynEkb.html" rel="bookmark">&period;Net设计模式之简单工厂模式&lpar;Simple Factory Pattern&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.简单工厂模式简介(Bref Introduction) 简单工厂模式(Simple Factory Pattern)的优点是,工厂类中包含了必要的逻辑判断,根据客户端的选择条件动态实例化相关的类,对于客户端来说,去除了与具体产品的依赖 二.解决的问题(What To Solve) 客户实例化对象时不需要关心该对象是由哪个子类实例化的. 三.简单工厂模式分析(Analysis) 1.简单工厂模式结构 IProduct接口:抽象产品类 ConcreteProduct类:产品类的具体实现 Simp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjm0oZz.html" rel="bookmark">乐在其中设计模式&lpar;C&num;&rpar; - 抽象工厂模式&lpar;Abstract Factory Pattern&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:乐在其中设计模式(C#) - 抽象工厂模式(Abstract Factory Pattern)[索引页][源码下载] 乐在其中设计模式(C#) - 抽象工厂模式(Abstract Factory Pattern) 作者:webabcd 介绍 提供一个创建一系列相关或相互依赖对象的接口,而无需指定它们具体的类. 示例 有Message和MessageModel,Message有一个Insert()方法,该方法的参数是MessageModel. AbstractMessageModel usi			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN1lj7b.html" rel="bookmark">设计模式： 简单工厂模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引入: 在我们的思维中,会有一种习惯,当遇到某种问题时,会直接考虑用最直接的语言去去实现它,而往往忽略了整个程序的可维护性.可扩展性. 比如,我们写一个基本的计算器功能,要求能计算四则运算,大家或许会直接写: public class ProgramDemo{ public static void main(String[] args) throws Exception { BufferedReader br = new BufferedReader(new InputStreamReader(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkk42z.html" rel="bookmark">php设计模式之简单工厂模式详解&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文以实例形式较为详细的介绍了PHP设计模式的简单工厂模式,对于进行PHP程序设计来说有很好的借鉴作用.具体如下: 一.概念 简单工厂模式 [静态工厂方法模式](Static Factory Method) 是类的创建模式 工厂模式的几种形态: 1.简单工厂模式(Simple Factory)又叫做 静态工厂方法模式(Static Factory Method) 2.工厂方法模式(Factory Method)又叫做 多态性工厂模式(Polymorphic Factory) 3.抽象工厂模式(A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kD29M.html" rel="bookmark">C&num;设计模式&lpar;2&rpar;&mdash;&mdash;简单工厂模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:C#设计模式(2)--简单工厂模式 一.引言 这个系列也是自己对设计模式的一些学习笔记,希望对一些初学设计模式的人有所帮助的,在上一个专题中介绍了单例模式,在这个专题中继续为大家介绍一个比较容易理解的模式--简单工厂模式. 二.简单工厂模式的介绍 说到简单工厂,自然的第一个疑问当然就是什么是简单工厂模式了? 在现实生活中工厂是负责生产产品的,同样在设计模式中,简单工厂模式我们也可以理解为负责生产对象的一个类, 我们平常编程中,当使用&quot;new&quot;关键字创建一个对象时,此时该类就依赖与			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlx9oYM.html" rel="bookmark">java设计模式之简单工厂模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在编写一个计算器程序时,可以将业务逻辑和显示分离,业务逻辑封装为一个类(封装):如果要新添加一种运算,可以先创建一个Operation的基类,然后各种运算从Operation类继承,并实现GetResult()虚函数,这时添加新的运算只需要派生一个新的类,即不需要之前的运算参与编译.如何让计算器知道我是希望使用哪种运算呢?应该考虑单独的类来做这个创造实例的过程,这就是工厂.创建一个OperationFactory类,传入参数,函数createOperate就可以实例化出合适的对象. Java代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJZ5A7z.html" rel="bookmark">设计模式之简单工厂模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计模式,六大设计原则,类的特性 总纲 http://blog.csdn.net/fenglailea/article/details/52733435 风.fox 简单工厂模式(Simple Factory) 简单工厂模式就是工厂方法模式的缩小版 通用类图 组成 1.工厂类:这是本模式的核心,含有一定的商业逻辑和判断逻辑.在java中它往往由一个具体类实现. 2.抽象产品:它一般是具体产品继承的父类或者实现的接口.在java中由接口或者抽象类来实现. 3.具体产品:工厂类所创建的对象就是此角色			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEXAAz.html" rel="bookmark">设计模式－简单工厂模式（SimpleFactory-C&num;&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计 &lt;java与模式&gt; 上面那本书上的例子举的是园丁和果园的例子,学习设计模式最好在生活中自己找个例子 实践一下,下面是我自己的一个例子,是讲快餐店的例子,快餐店提供很多食物,比如 面条,米饭,面包.首先定义了一个Food接口,然后这些食物都从它来继承,定义了一个大厨 他包办所有食物的制作工作,这就是我所理解的简单工厂模式的概念,下面是源代码: using System; namespace SimpleFactoryPattern{ /// &lt;summary&gt; /// 简单工厂			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1R3d3p.html" rel="bookmark">抽象工厂模式&lpar;abstract factory pattern&rpar; 详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				抽象工厂模式: 提供一个接口, 用于创建相关或依赖对象的家族, 而不需要明确指定具体类. 全部代码: http://download.csdn.net/detail/u012515223/7403553 具体方法: 1. 提供一个抽象工厂(abstract factory)接口(interface)类, 不同的具体工厂(concrete factory)继承此类. 代码: /** * @time 2014年5月26日 */ package factory; /** * @author C.L.W			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MW2mXb.html" rel="bookmark" class="title">浅谈HTTP中Get与Post的区别</a>
					<div>
						Http定义了与服务器交互的不同方法,最基本的方法有4种,分别是GET,POST,PUT,DELETE.URL全称是资源描述符,我们可以这样认为:一个URL地址,它用于描述一个网络上的资源,而HTTP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M026Pz.html" rel="bookmark" class="title">对项目开发中几种测试类型的理解和实操</a>
					<div>
						项目 原文: 测试一般是放在系统完成后进行测试,但今天,却常常听到资深开发人员劝导新人们:&quot;测试是开发的第一步&quot;这句话如何理解呢?如果从日本人发明的巴克质量管理的方式去理解,大概是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boonDb.html" rel="bookmark" class="title">xml文件操作的java程序（续）</a>
					<div>
						xml|程序 /**     * helper方法,查找一个指定的元素     *     * @param name 元素名称,格式为 X.Y.Z     * @return Element 如果找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKK71M.html" rel="bookmark" class="title">Silverlight游戏中的WriteableBitmap技术可行性报告</a>
					<div>
						目录设置如下: 情形1:将png文件都设置为Resource,Do not copy. 指定Image的Source代码: spirit.Source = new BitmapImage(new Ur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRnrNz.html" rel="bookmark" class="title">关于游戏外挂的一个帖子</a>
					<div>
						//------------- 我主要对外挂的技术进行分析,至于游戏里面的内部结构每个都不一样,这里就不做讲解了,我也没有那么厉害,所有的都知道,呵呵! 1 首先游戏外挂的原理 外挂现在分为好多种,比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL3nOb.html" rel="bookmark" class="title">网管教你预防黑客DdoS攻击的技巧</a>
					<div>
						DDoS攻击是利用一批受控制的机器向一台机器发起攻击,这样来势迅猛的攻击令人难以防备,因此具有较大的破坏性.如果说以前网络管理员对抗Dos可以采取过滤IP地址方法的话,那么面对当前 DDoS众多伪造出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Z9Bb.html" rel="bookmark" class="title">简单易行 修复IE 7&sol;8被篡改的主页</a>
					<div>
						Internet Explorer 是大家最常使用的网页浏览器.但正因为普及率高,它也成为了最容易受到黑客.病毒以及流氓软件攻击的对象. 经常有同学反映,每次打开网页时都会出现弹出同一个奇怪的网址,而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7ZodM.html" rel="bookmark" class="title">使用Perl编写CGI时需要注意的几个问题</a>
					<div>
						一.UNIX与WINDOWS下的差别 由于PERL在最初是UNIX下的工具,现在虽然PERL已经移植到流行的平台上:WINDOWS系统,但是运用起来却是有哪么一点差别,这一点需要引起我们的注意. 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk7Bab.html" rel="bookmark" class="title">台式win7系统电脑显卡控制面板在哪</a>
					<div>
						  台式win7系统电脑显卡控制面板在哪          具体方法如下: 1.系统中如果安装了NVIDIA显卡驱动,可以在Win7的开始--&quot;搜索文件和程序&quot;中输入&quot;n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Rk1p.html" rel="bookmark" class="title">一个不用onmouseup的拖动函数&lowbar;javascript技巧</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg32ZZM.html" rel="bookmark" class="title">PHP中addslashes&lpar;&rpar;和stripslashes&lpar;&rpar;实现字符串转义和还原用法实例&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP中addslashes()和stripslashes()实现字符串转义和还原用法.分享给大家供大家参考,具体如下: PHP中addslashes() 函数返回在预定义字符之前添加反 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze67ZAb.html" rel="bookmark" class="title">asp md5加密算法完整文件</a>
					<div>
						asp教程 md5加密算法完整文件 private const bits_to_a_byte = 8 private const bytes_to_a_word = 4 private const b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRqDgz.html" rel="bookmark" class="title">MSChart控件生成的图表保存为图片后是空的，什么都没有</a>
					<div>
						问题描述 我做的是b/s,用MSChart控件生产图表,现在想把生成的图表导出去,用SaveImage保存后,得到的图片却是空的,啥都没有,这是为什么呀????急求呀 解决方案 解决方案二:是不是保存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN72lJp.html" rel="bookmark" class="title">OAuth 2&period;0 认证的原理与实践</a>
					<div>
						原文同步至https://waylau.com/principle-and-practice-of-oauth2/ 使用 OAuth 2.0 认证的的好处是显然易见的.你只需要用同一个账号密码,就能在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrmeoM.html" rel="bookmark" class="title">Linux 默认根目录的作用说明（中英文对照）</a>
					<div>
						对于linux新手来说,最感到迷惑的问题之一就是文件都存在哪里呢?特别是对于那些从windows转过来的新手来说,linux的目录结构看起来有些奇怪哦.所以,在这里讲一下linux下的主要目录以及它们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAGyeM.html" rel="bookmark" class="title">Ubuntu系统配置你的&sol;etc&sol;hosts文件</a>
					<div>
						/etc/hosts文件只是一个IP地址和对应服务器名的列表.服务器一般会在查询DNS前检查这个文件.如果找到了有对应IP地址的名称,那么就根本不会去查询DNS.不幸的是,如果主机的IP地址变化了,你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZEedb.html" rel="bookmark" class="title">mysql跨ip访问表</a>
					<div>
						问题描述 一台pc,xp系统,一台服务器,win7系统,都装了mysql5,pc和服务器上有同名的数据库,且里面表也一样.现在想让pc上某表的某些列覆盖服务器上的,pc上的的mysql的数据库中的表怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmJr9M.html" rel="bookmark" class="title">挖掘数据价值vs确保隐私安全，可以同步</a>
					<div>
						文章讲的是挖掘数据价值vs确保隐私安全,可以同步,&quot;隐私&quot;已经成为一个社会广泛关注的关键词,我们每天都在产生大量数据,很难做到把个人信息完全封闭起来,那么,在这样一个移动互联.大数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAP7vM.html" rel="bookmark" class="title">别以为互联网什么病都能治</a>
					<div>
						导读:如果说最近&quot;互联网思维&quot;已经开始降温了的话,又冒出来一个&quot;互联网基因&quot;,和后天养成的互联网思维不同,互联网基因更像是天生的,不过看起来更像是强(行)生(成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXl7mz.html" rel="bookmark" class="title">面对众多广告联盟 草根如何选择让流量更好的变现</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 身为一名站长,一直以来接触了不少广 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZD87z.html" rel="bookmark" class="title">我也 30 了，来谈谈程序员的迷茫年龄</a>
					<div>
						今年三十了,到了传说中程序员最应该迷茫的年龄了,那么我迷茫吗,没的说,按照某司34岁就要劝退的要求,我还有4年的程序生涯. 为什么30岁的程序员就应该迷茫呢? 30岁正是经过了七八年的职场生涯,技术. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmkgNb.html" rel="bookmark" class="title">MaxCompute的任务状态和多任务执行</a>
					<div>
						本文作者:龙利民 企业介绍: ofo 小黄车是一个无桩共享单车出行平台,缔造了&quot;无桩单车共享&quot;模式,致力于解决城市出行问题.用户只需在微信服务号或App输入车牌号,即可获得密码解锁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKQNZp.html" rel="bookmark" class="title">疯狂猜图1&period;4品牌答案图文汇总</a>
					<div>
						疯狂猜图目前已经正式更新到了1.4版本,在新版中一共有776题,品牌类图片也新增加了许多,下面小编给大家带来的是疯狂猜图1.4品牌答案.[疯狂猜图1.4所有答案图文汇总]疯狂猜图1.4品牌答案:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBaYNM.html" rel="bookmark" class="title">c语言-请高手看一段C程序代码不知道哪里出错了</a>
					<div>
						问题描述 请高手看一段C程序代码不知道哪里出错了 解决方案 另外printf你又拼错了. 解决方案二: 第14行 应为printf 解决方案三: 你的那个所谓的山寨编译器,也不知道有没有windows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBeNQM.html" rel="bookmark" class="title">本地测试PHP环境不能正常运行的解决方法</a>
					<div>
						PHP,一个嵌套的缩写名称,是英文超级文本预处理语言(PHP:Hypertext Preprocessor)的缩写.PHP 是一种 HTML 内嵌式的语言,PHP与微软的ASP颇有几分相似,都是一种在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2J74z.html" rel="bookmark" class="title">Firebug 字幕文件JSON地址获取代码&lowbar;javascript技巧</a>
					<div>
						先前看TED视频,关于 学校教育扼杀创造性的视频. 视频很好,也有中文字幕等.下面也提供高清版本下载,很是欣喜. 遗憾的是,字幕不提供下载.(或者说我没有找到) 俗话说,自己动手丰衣足食.直接拿Fir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G1lop.html" rel="bookmark" class="title">aspx页面怎么判断数据库的值然后根据判断值觉得是否弹出右下角窗口？？？跪求~急急急~</a>
					<div>
						问题描述 就是数据库表里有个字段是记录时间,datetime类型,怎么判断这个字段和当前时间相差三天的话页面就弹出消息窗口,消息窗口目前能在页面显示,可就是还没有加条件判断数据库字段,跪求大侠指导~  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk89nz.html" rel="bookmark" class="title">谷歌收购电子商务购物柜创业公司BufferBox</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/7750.html&quot;&gt;电子商务购物柜创业公司BufferBox 北京时间12月1日,谷歌周五称,该公司已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QG56p.html" rel="bookmark" class="title">Android WiFi--系统架构</a>
					<div>
						Android系统网络调试常用命令                    1. ifconfig 查看网路状态 2.netstat 3. netcfg   4.启动某个网络    netcfg eth ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKd28z.html" rel="bookmark" class="title">跨国广告公司纠结本土化：要发自内心理解客户</a>
					<div>
						编者按/ 4A的本意是美国广告公司协会(American Associato of advertising Agencies)的缩写,4A协会对成员公司有严格的标准,所以,4A广告公司均为规模较大的综 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
